using System;
using System.IO;
using System.Text;

namespace SampleConvert
{
	class Class1
	{
		static void Main(string[] args)
		{
			SautinSoft.RtfToHtml r = new SautinSoft.RtfToHtml();
			string AppPath=System.Environment.CurrentDirectory;

			//specify some options
			r.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.HTML_5;
			r.Encoding = SautinSoft.RtfToHtml.eEncoding.UTF_8;

			//specify image options
			r.ImageStyle.ImageFolder = AppPath;			//this folder must exist
			r.ImageStyle.ImageSubFolder = "test.files";	//this folder will be created by the component
			r.ImageStyle.ImageFileName = "img";			//template name for images
			r.ImageStyle.IncludeImageInHtml = false;	//false - save images on HDD, true - save images inside HTML


			string rtfFile = Path.GetFullPath(@"..\..\..\..\..\..\test.rtf");
			string htmlFile = Path.Combine(AppPath,"test.html"); //the result will be located in the same folder as binary
			string htmlString = null;

			htmlString = r.ConvertFileToString(rtfFile);
            if (htmlString != "")
			{
				System.Console.WriteLine("Converted successfully!");
				WriteToFile(htmlFile,htmlString);
				System.Diagnostics.Process.Start(htmlFile);
			}
			else
				System.Console.WriteLine("Conversion failed!");
		}

		public static int WriteToFile(string fileName, string fileStr)
		{
			try
			{
				StreamWriter sw = new StreamWriter(fileName, false);
				sw.Write(fileStr);
				sw.Close();
			}
			catch
			{
				return 2;
			}
			return 0;
		}
	}
}
